For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/groups/get-api-contacts-v1groups-by-group_id-contacts.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: https://reloop.sh/mcp.

List Contacts in Group

GET
/api/contacts/v1/groups/:group_id/contacts
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { contacts, groupError } = await reloop.contacts.groups.listContacts(
6 "grp_123456789",
7 { page: 1, limit: 10 },
8);
9
10if (groupError) throw groupError;
11
12console.log(contacts.total, contacts.contacts);
1{
2 "object": "contact_group",
3 "group": {
4 "id": "con_123456789",
5 "name": "Newsletter",
6 "createdAt": "2026-03-23T10:00:00.000Z",
7 "updatedAt": "2026-03-23T10:00:00.000Z",
8 "contacts": [
9 {
10 "id": "con_123456789",
11 "email": "john.doe@example.com",
12 "firstName": "John",
13 "lastName": "Doe",
14 "status": "subscribed",
15 "properties": {
16 "company": "Reloop",
17 "role": "Developer"
18 },
19 "createdAt": "2026-03-23T10:00:00Z",
20 "updatedAt": "2026-03-23T10:00:00Z"
21 }
22 ]
23 },
24 "total": 1,
25 "subscribedContacts": 0,
26 "unsubscribedContacts": 0,
27 "page": 0,
28 "limit": 0,
29 "hasMore": true,
30 "nextCursor": "example_nextCursor",
31 "event": "evt_123456789"
32}

Path Parameters

group_idstringRequired

ID of the group

Query Parameters

cursorstring

Opaque cursor from a previous response's `nextCursor`. Returns the page after it; `page` is ignored when set. See https://reloop.sh/docs/api/pagination.

  • Maximum length: 512
pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 100
  • Minimum value: 1
  • Maximum value: 100
searchstring

Search by email

statusstring

Filter by status. Pass one status, or several comma-separated (e.g. subscribed,blocked) to match any of them.

channelIdstring

Filter to contacts enrolled in this channel (status = enrolled)

suppressedboolean

Only contacts on the suppression list (blocked, or suppressed after a hard bounce, full mailbox or spam complaint). Sorted by most recently suppressed.

Was this page helpful?